Name:           quvi
Version:        0.4.2
Release:        1
Summary:        Command line tool for parsing video download links
Group:          Applications/Internet
License:        LGPLv2+
URL:            http://quvi.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2.sig
Patch0:         %{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  patch
BuildRequires:  curl-devel >= 7.19.7-1
BuildRequires:  libquvi-devel >= 0.4.1-1

Requires:  curl >= 7.19.7-1
Requires:  libquvi >= 0.4.1-1


%description
quvi is a command line tool for parsing video download links.
It supports Youtube and other similar video websites.
libquvi is a library for parsing video download links with C API.
It is written in C and intended to be a cross-platform library.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch0


%build
export CC="cc -qcpluscmt"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip -X32_64 ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc ChangeLog COPYING README 
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Wed Jul 18 2012 Michael Perzl <michael@perzl.org> - 0.4.2-1
- updated to version 0.4.2

* Sun Aug 21 2011 Michael Perzl <michael@perzl.org> - 0.2.19-1
- updated to version 0.2.19

* Sat Jun 18 2011 Michael Perzl <michael@perzl.org> - 0.2.17-1
- updated to version 0.2.17

* Mon May 16 2011 Michael Perzl <michael@perzl.org> - 0.2.15-1
- updated to version 0.2.15

* Fri Mar 11 2011 Michael Perzl <michael@perzl.org> - 0.2.14-1
- first version for AIX V5.1 and higher
